Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Log::Message::Handlers

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Log::Message::Handlers

- NAME
- SYNOPSIS
- DESCRIPTION
- Default Handlers
  - log
  - carp
  - croak
  - cluck
  - confess
  - die
  - warn
  - trace
- Custom Handlers
- SEE ALSO
- AUTHOR
- Acknowledgements
- COPYRIGHT

# NAME

Log::Message::Handlers - Message handlers for Log::Message

# SYNOPSIS

        # Implicitly used by Log::Message to serve as handlers for    # Log::Message::Item objects    # Create your own file with a package called    # Log::Message::Handlers to add to the existing ones, or to even    # overwrite them    $item->carp;    $item->trace;

# DESCRIPTION

Log::Message::Handlers provides handlers for Log::Message::Item objects. The handler corresponding to the level (see Log::Message::Item manpage for an explanation about levels) will be called automatically upon storing the error.

Handlers may also explicitly be called on an Log::Message::Item object if one so desires (see the Log::Message manpage on how to retrieve the Item objects).

# Default Handlers

## log

Will simply log the error on the stack, and do nothing special

## carp

Will carp (see the Carp manpage) with the error, and add the timestamp of when it occurred.

## croak

Will croak (see the Carp manpage) with the error, and add the timestamp of when it occurred.

## cluck

Will cluck (see the Carp manpage) with the error, and add the timestamp of when it occurred.

## confess

Will confess (see the Carp manpage) with the error, and add the timestamp of when it occurred

## die

Will simply die with the error message of the item

## warn

Will simply warn with the error message of the item

## trace

Will provide a traceback of this error item back to the first one that occurred, clucking with every item as it comes across it.

# Custom Handlers

If you wish to provide your own handlers, you can simply do the following:

- Create a file that holds a package by the name of `Log::Message::Handlers`

- Create subroutines with the same name as the levels you wish to handle in the Log::Message module (see the Log::Message manpage for explanation on levels)

- Require that file in your program, or add it in your configuration (see the Log::Message::Config manpage for explanation on how to use a config file)

And that is it, the handler will now be available to handle messages for you.

The arguments a handler may receive are those specified by the `extra` key, when storing the message. See the Log::Message manpage for details on the arguments.

# SEE ALSO

Log::Message, Log::Message::Item, Log::Message::Config

# AUTHOR

This module by Jos Boumans <kane@cpan.org>.

# Acknowledgements

Thanks to Ann Barcomb for her suggestions.

# COPYRIGHT

This module is copyright (c) 2002 Jos Boumans <kane@cpan.org>. All rights reserved.

This library is free software; you may redistribute and/or modify it under the same terms as Perl itself.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- Default Handlers
  - log
  - carp
  - croak
  - cluck
  - confess
  - die
  - warn
  - trace
- Custom Handlers
- SEE ALSO
- AUTHOR
- Acknowledgements
- COPYRIGHT